import { WithMetaType } from './display.interface';
import { MetaType, Token } from './position.interface';
export declare const isWallet: (token: WithMetaType<Token>) => boolean;
export declare const isSupplied: (token: WithMetaType<Token>) => boolean;
export declare const isBorrowed: (token: WithMetaType<Token>) => boolean;
export declare const isClaimable: (token: WithMetaType<Token>) => boolean;
export declare const isVesting: (token: WithMetaType<Token>) => boolean;
export declare const isLocked: (token: WithMetaType<Token>) => boolean;
export declare const metatyped: <T extends Token>(token: T, metaType: MetaType) => WithMetaType<T>;
export declare const wallet: <T extends Token>(token: T) => WithMetaType<T>;
export declare const supplied: <T extends Token>(token: T) => WithMetaType<T>;
export declare const borrowed: <T extends Token>(token: T) => WithMetaType<T>;
export declare const claimable: <T extends Token>(token: T) => WithMetaType<T>;
export declare const vesting: <T extends Token>(token: T) => WithMetaType<T>;
export declare const locked: <T extends Token>(token: T) => WithMetaType<T>;
